Bug 148992 - Update port: java/eclipse-webtools Update eclipse-webtools to 3.1.2 for java/eclipse(3.5) and its dependencies(eclipse-emf-2.5.0, eclipse-xsd-2.5.0, eclipse-gef-3.5.2, eclipse-datatools-1.7.2), and take all the maintainerships
Update port: java/eclipse-webtools Update eclipse-webtools to 3.1.2 for java/...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Alex Dupre
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-27 11:30 UTC by zhoushuqun
Modified: 2010-09-07 10:40 UTC (History)
0 users

See Also:


Attachments
file.diff (4.09 KB, patch)
2010-07-27 11:30 UTC, zhoushuqun
no flags Details | Diff
file.diff (2.28 KB, patch)
2010-07-27 11:30 UTC, zhoushuqun
no flags Details | Diff
file.diff (52.84 KB, patch)
2010-07-27 11:30 UTC, zhoushuqun
no flags Details | Diff
file.diff (3.62 KB, patch)
2010-07-27 11:30 UTC, zhoushuqun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zhoushuqun 2010-07-27 11:30:02 UTC
New port: java/eclipse-xsd this port has been merged to eclipse-emf on 2004-07-25, but for this version, they are divided, more about this see http://download.eclipse.org/webtools/downloads/drops/R3.1.2/R-3.1.2-20100211202452/

Update port: java/eclipse-emf 2.3.2 -> 2.5.0
             java/eclipse-gef 3.3.2 -> 3.5.2
             java/eclipse-datatools 1.6.1 -> 1.7.2

Fix: # This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	/usr/ports/java/eclipse-xsd/
#	/usr/ports/java/eclipse-xsd/Makefile
#	/usr/ports/java/eclipse-xsd/distinfo
#	/usr/ports/java/eclipse-xsd/pkg-descr
#
echo c - /usr/ports/java/eclipse-xsd/
mkdir -p /usr/ports/java/eclipse-xsd/ > /dev/null 2>&1
echo x - /usr/ports/java/eclipse-xsd/Makefile
sed 's/^X//' >/usr/ports/java/eclipse-xsd/Makefile << '1651b7a212deebca7063f9f31bd9caac'
X# New ports collection makefile for:	eclipse-xsd
X# Date created:				July 26, 2010
X# Whom:					Sutra Zhou <zhoushuqun@gmail.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	xsd
XPORTVERSION=	2.5.0
XCATEGORIES=	java devel
XMASTER_SITES=	${MASTER_SITE_ECLIPSE:S,/eclipse/downloads/drops/,/modeling/emf/emf/downloads/drops/,}
XMASTER_SITE_SUBDIR=${PORTVERSION}/R200906151043
XPKGNAMEPREFIX=	eclipse-
XDISTNAME=	xsd-runtime-${PORTVERSION}
XDIST_SUBDIR=	eclipse
X
XMAINTAINER=	zhoushuqun@gmail.com
XCOMMENT=	Eclipse Modeling Framework XML Schema Definition
X
XRUN_DEPENDS=	eclipse:${PORTSDIR}/java/eclipse
X
X.include "${.CURDIR}/../eclipse-emf/Makefile.install"
X.include <bsd.port.mk>
1651b7a212deebca7063f9f31bd9caac
echo x - /usr/ports/java/eclipse-xsd/distinfo
sed 's/^X//' >/usr/ports/java/eclipse-xsd/distinfo << '2cb597ffef4d040cb3c0779c14adbf34'
XMD5 (eclipse/xsd-runtime-2.5.0.zip) = e156ae7e25500603ddc3166b18bb7fb6
XSHA256 (eclipse/xsd-runtime-2.5.0.zip) = 6d4a30e977ab84e0e0aa0ead2ca21cf561bf0f022a7e7e4ddc50e91f99307a65
XSIZE (eclipse/xsd-runtime-2.5.0.zip) = 1197025
2cb597ffef4d040cb3c0779c14adbf34
echo x - /usr/ports/java/eclipse-xsd/pkg-descr
sed 's/^X//' >/usr/ports/java/eclipse-xsd/pkg-descr << '47d1a4c77545ee39cc066a57ead1c9ef'
XThe XML Schema Definition is a reference library that provides an API
Xfor use with any code that examines, creates or modifies W3C XML
XSchema (standalone or as part of other artifacts, such as XForms or
XWSDL documents).
X
XXSD is a library that provides an API for manipulating the components
Xof an XML Schema as described by the W3C XML Schema specifications,
Xas well as an API for manipulating the DOM-accessible representation
Xof XML Schema as a series of XML documents, and for keeping these
Xrepresentations in agreement as schemas are modified.
X
XWWW: http://www.eclipse.org/modeling/mdt/?project=xsd
47d1a4c77545ee39cc066a57ead1c9ef
exit
Comment 1 Edwin Groothuis freebsd_committer 2010-07-27 11:30:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-eclipse

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Alex Dupre freebsd_committer 2010-08-31 09:39:58 UTC
State Changed
From-To: open->feedback

Why have you used lib/eclipse/dropins instead of share/eclipse/dropins 
that seems to be the correct directory from eclipse Makefile? 


Comment 3 Alex Dupre freebsd_committer 2010-08-31 09:39:58 UTC
Responsible Changed
From-To: freebsd-eclipse->ale

Why have you used lib/eclipse/dropins instead of share/eclipse/dropins 
that seems to be the correct directory from eclipse Makefile?
Comment 4 Rene Ladan freebsd_committer 2010-08-31 18:59:37 UTC
Note that for java/eclipse-emf there is also ports/145266
sent by <kamikaze@bsdforen.de> to un-deprecate it and
update it to 2.4.3
Comment 5 zhoushuqun 2010-09-01 02:31:15 UTC
On Wed, Sep 1, 2010 at 1:59 AM, Rene Ladan <rene@freebsd.org> wrote:
> Note that for java/eclipse-emf there is also ports/145266
> sent by <kamikaze@bsdforen.de> to un-deprecate it and
> update it to 2.4.3
>

Hum... eclipse-emf 2.4.3 maybe only works on eclipse 3.4, and
eclipse-emf 2.5.0[1] maybe only works on eclipse 3.5.
And the newest version of eclipse-emf is 2.6.0[2][3], it requires
eclipse-3.6, but current eclipse in ports is eclipse 3.5, that is why
I didn't update it to the newest version.

[1] http://download.eclipse.org/webtools/downloads/drops/R3.1.2/R-3.1.2-20100211202452/
[2] http://download.eclipse.org/webtools/downloads/drops/R3.2.0/R-3.2.0-20100615235519/
[3] http://download.eclipse.org/webtools/downloads/drops/R3.2.1/R-3.2.1-20100730021206/
Comment 6 Rene Ladan freebsd_committer 2010-09-03 14:18:48 UTC
2010/9/1 Sutra Zhou <zhoushuqun@gmail.com>:
> On Wed, Sep 1, 2010 at 1:59 AM, Rene Ladan <rene@freebsd.org> wrote:
>> Note that for java/eclipse-emf there is also ports/145266
>> sent by <kamikaze@bsdforen.de> to un-deprecate it and
>> update it to 2.4.3
>>
> Hum... eclipse-emf 2.4.3 maybe only works on eclipse 3.4, and
> eclipse-emf 2.5.0[1] maybe only works on eclipse 3.5.

It tried running EMF 2.4.3 with Eclipse 3.5.0,  it works fine.

Since his report is older, I suggest to transfer maintainership of the port
to him.. He can then evaluate your update. The report was not standing out
for me before last week because it was assigned to other people.

> [1] http://download.eclipse.org/webtools/downloads/drops/R3.1.2/R-3.1.2-20100211202452/
Comment 7 zhoushuqun 2010-09-03 15:34:52 UTC
On Fri, Sep 3, 2010 at 9:18 PM, Ren=C3=A9 Ladan <rene@freebsd.org> wrote:
> 2010/9/1 Sutra Zhou <zhoushuqun@gmail.com>:
>> On Wed, Sep 1, 2010 at 1:59 AM, Rene Ladan <rene@freebsd.org> wrote:
>>> Note that for java/eclipse-emf there is also ports/145266
>>> sent by <kamikaze@bsdforen.de> to un-deprecate it and
>>> update it to 2.4.3
>>>
>> Hum... eclipse-emf 2.4.3 maybe only works on eclipse 3.4, and
>> eclipse-emf 2.5.0[1] maybe only works on eclipse 3.5.
>
> It tried running EMF 2.4.3 with Eclipse 3.5.0, =C2=A0it works fine.
>
> Since his report is older, I suggest to transfer maintainership of the po=
rt
> to him.. He can then evaluate your update. The report was not standing ou=
t
> for me before last week because it was assigned to other people.
>
>> [1] http://download.eclipse.org/webtools/downloads/drops/R3.1.2/R-3.1.2-=
20100211202452/
>

OK, Alex, please transfer the maintainership to Dominic.
Comment 8 zhoushuqun 2010-09-06 12:27:26 UTC
2010/9/3 Sutra Zhou <zhoushuqun@gmail.com>:
> On Fri, Sep 3, 2010 at 9:18 PM, Ren=C3=A9 Ladan <rene@freebsd.org> wrote:
>> 2010/9/1 Sutra Zhou <zhoushuqun@gmail.com>:
>>> On Wed, Sep 1, 2010 at 1:59 AM, Rene Ladan <rene@freebsd.org> wrote:
>>>> Note that for java/eclipse-emf there is also ports/145266
>>>> sent by <kamikaze@bsdforen.de> to un-deprecate it and
>>>> update it to 2.4.3
>>>>
>>> Hum... eclipse-emf 2.4.3 maybe only works on eclipse 3.4, and
>>> eclipse-emf 2.5.0[1] maybe only works on eclipse 3.5.
>>
>> It tried running EMF 2.4.3 with Eclipse 3.5.0, =C2=A0it works fine.
>>
>> Since his report is older, I suggest to transfer maintainership of the p=
ort
>> to him.. He can then evaluate your update. The report was not standing o=
ut
>> for me before last week because it was assigned to other people.
>>
>>> [1] http://download.eclipse.org/webtools/downloads/drops/R3.1.2/R-3.1.2=
-20100211202452/
>>
>
> OK, Alex, please transfer the maintainership to Dominic.
>

By the way, the "ports/133457: [PATCH] java/eclipse-webtools: update
to 3.0.3" can be closed too.
Comment 9 dfilter freebsd_committer 2010-09-07 10:04:17 UTC
ale         2010-09-07 09:04:06 UTC

  FreeBSD ports repository

  Modified files:
    java/eclipse-emf     Makefile distinfo pkg-descr 
  Log:
  - Update to 2.5.0 release
  - Pass maintainership to submitter
  - Use the new eclipse plugins Makefile
  
  PR:             ports/145266 [1], ports/148992 [2]
  Submitted by:   Dominic Fandrey <kamikaze@bsdforen.de> [1],
                  Sutra Zhou <zhoushuqun@gmail.com> [2]
  
  Revision  Changes    Path
  1.20      +6 -21     ports/java/eclipse-emf/Makefile
  1.12      +3 -3      ports/java/eclipse-emf/distinfo
  1.2       +1 -1      ports/java/eclipse-emf/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter freebsd_committer 2010-09-07 10:12:19 UTC
ale         2010-09-07 09:12:05 UTC

  FreeBSD ports repository

  Modified files:
    java/eclipse-gef     Makefile distinfo 
  Log:
  - Update to 3.5.2 release
  - Pass maintainership to submitter
  - Use the new eclipse plugins Makefile
  
  PR:             ports/148992
  Submitted by:   Sutra Zhou <zhoushuqun@gmail.com>
  
  Revision  Changes    Path
  1.18      +5 -20     ports/java/eclipse-gef/Makefile
  1.11      +3 -3      ports/java/eclipse-gef/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter freebsd_committer 2010-09-07 10:27:48 UTC
ale         2010-09-07 09:27:36 UTC

  FreeBSD ports repository

  Modified files:
    java/eclipse-datatools Makefile distinfo 
  Removed files:
    java/eclipse-datatools pkg-plist 
  Log:
  - Update to 1.7.2 release
  - Use the new eclipse plugins Makefile
  
  PR:             ports/148992
  Submitted by:   Sutra Zhou <zhoushuqun@gmail.com>
  
  Revision  Changes    Path
  1.13      +7 -36     ports/java/eclipse-datatools/Makefile
  1.4       +3 -3      ports/java/eclipse-datatools/distinfo
  1.4       +0 -437    ports/java/eclipse-datatools/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 dfilter freebsd_committer 2010-09-07 10:34:27 UTC
ale         2010-09-07 09:34:14 UTC

  FreeBSD ports repository

  Modified files:
    java/eclipse-webtools Makefile distinfo 
  Log:
  - Update to 3.1.2 release
  - Pass maintainership to submitter
  - Use the new eclipse plugins Makefile
  
  PR:             ports/148992
  Submitted by:   Sutra Zhou <zhoushuqun@gmail.com>
  
  Revision  Changes    Path
  1.13      +17 -35    ports/java/eclipse-webtools/Makefile
  1.5       +3 -3      ports/java/eclipse-webtools/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 Alex Dupre freebsd_committer 2010-09-07 10:38:03 UTC
State Changed
From-To: feedback->closed

A slightly different patchset has been committed, thanks!